@ECHO OFF
REN %WINDIR%\system32\drivers\etc\hosts hosts77 > nul
IF %ERRORLEVEL% NEQ 0 (
  ECHO Файл hosts заблокирован для редактирования.
  ECHO.
  ECHO Либо Вы запустили данный патч не от имени администратора,
  ECHO либо внесение изменений блокирует установленный у Вас антивирус.
  ECHO.
  ECHO.
  PAUSE
  EXIT
)
REN %WINDIR%\system32\drivers\etc\hosts77 hosts > nul
FIND /c /i "bivm.ibm.com" %WINDIR%\system32\drivers\etc\hosts > nul
IF %ERRORLEVEL% NEQ 0 (
  ECHO. >> %WINDIR%\system32\drivers\etc\hosts
  ECHO ^83.149.245.126 bivm.ibm.com >> %WINDIR%\system32\drivers\etc\hosts
  ECHO Адрес bivm.ibm.com успешно добавлен в файл hosts.
) ELSE (
  ECHO Адрес bivm.ibm.com уже имеется в файле hosts.
)
ECHO.
PAUSE